// BWDashController.m -- mediate between a gaggle of sliders and the
//			 view that shows line dashes

// Copyright (C) 2002 Borkware
// We use the BSD License.  Check out http://borkware.com/license

#import "BWDashController.h"
#import "LineWindowController.h"

// the number of elements in the pattern
#define PATTERN_SIZE 3


@implementation BWDashController

- (id) init
{
    if (self = [super init]) {
	pattern = malloc (sizeof(float) * PATTERN_SIZE * 2);
    }

    return (self);

} // init



// pick up the default values from the sliders and use them for
// the pattern

- (void) awakeFromNib
{
    [self valueChanged: self];

} // awakeFromNib



// all the sliders vector through here.  We just rebuild the
// pattern from all the slider values

- (IBAction) valueChanged: (id) sender
{
    pattern[0] = [dash0slider floatValue];
    pattern[1] = [space0slider floatValue];
    pattern[2] = [dash1slider floatValue];
    pattern[3] = [space1slider floatValue];
    pattern[4] = [dash2slider floatValue];
    pattern[5] = [space2slider floatValue];

    [owner updateDashPattern: self];

} // valueChanged



// the number of elements in the pattern

- (int) count
{
    return (PATTERN_SIZE * 2);
} // count



// the pattern values

- (const float *) pattern;
{
    return (pattern);
} // fillPattern


@end // BWDashController

