// BWImageCanvas.h -- draw an image of a block of cheese, and let the user
//		      scale, rotate, and translate the image

// Copyright (C) 2002 Borkware
// We use the BSD License.  Check out http://borkware.com/license

#import <Cocoa/Cocoa.h>


@interface BWImageCanvas : NSView
{
    NSImage	*image;

    float	 scaleX, scaleY;
    float	 translateX, translateY;
    float	 rotation;
}


// get the transformation after you apply all the goodies below
- (NSAffineTransform *) currentTransform;

- (void) setImage: (NSImage *) image;

- (void) setScaleX: (float) value;
- (float) scaleX;

- (void) setScaleY: (float) value;
- (float) scaleY;

- (void) setTranslateX: (float) value;
- (float) translateX;

- (void) setTranslateY: (float) value;
- (float) translateY;

- (void) setRotation: (float) value;
- (float) rotation;


@end // BWImageCanvas

