// BWLineDash(View).h -- show the effects of line dash parameters

// Copyright (C) 2002 Borkware
// We use the BSD License.  Check out http://borkware.com/license


#import <Cocoa/Cocoa.h>


@interface BWLineDash : NSView 
{
    NSBezierPath       *path;

    BOOL		curved;
    
    float	       *pattern;
    int			count;
    float	        phase;
}

// should we draw a straight line, or one with a nice curve to it?
- (void) setCurved: (BOOL) curved;

- (void) setLineWidth: (float) lineWidth;
- (void) setLineDash: (const float *) pattern  count: (int) count;
- (void) setLinePhase: (float) phase;

@end // BWLineDash
