// BWQuartzView.m -- base class for playing with with Quartz stuff.
//		     to use just plain ol' CG calls, override
//		     drawRect: withContext: and use the passed in 
//		     graphics context

// Copyright (C) 2002 Borkware
// We use the BSD License.  Check out http://borkware.com/license

#import "BWQuartzView.h"

@implementation BWQuartzView


// set up the drawing environment, then invoke the drawRect: withContext:
// method.  Here we basically just wrap the above call with a save
// of the graphics context, and also tweak the text matrix

- (void) drawRect: (NSRect) rect
{
    CGContextRef context;

    context = [[NSGraphicsContext currentContext] graphicsPort];

    CGContextSaveGState (context); {
	CGAffineTransform transform;
	
	// fix up the text scaling.  It's whack for some reason
	transform = CGContextGetTextMatrix (context);
	transform.a = 1.0;
	transform.d = 1.0;
	
	CGContextSetTextMatrix (context, transform);

	[self drawRect: rect  withContext: context];

    } CGContextRestoreGState (context);
    
} // drawRect



// empty do-nothing place holder.  override me to do anything useful

- (void) drawRect: (NSRect) rect  withContext: (CGContextRef) context
{

} // drawRect withContext


@end // BWQuartzView


